| dfeccf Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xdfeccf_pass_through_example.c File Reference

## Overview

This file contains a two instances example.

    MODIFICATION HISTORY:

    Ver   Who    Date     Changes

    1.1   dc     07/21/21 Add and reorganise examples
    1.2   dc     11/01/21 Add multi AddCC, RemoveCC and UpdateCC
          dc     11/05/21 Align event handlers
    1.5   dc     09/12/22 Update handling overflow status
          dc     10/28/22 Switching Uplink/Downlink support

## Functions
int | XDfeCcf_PassThroughExample ()
| This function runs the DFE Channel Filter device using the driver APIs. More...

## Function Documentation

int XDfeCcf_PassThroughExample | ( |  | ) |

This function runs the DFE Channel Filter device using the driver APIs.

This function does the following tasks:

- Create and system initialize the device driver instance.
- Read SW and HW version numbers.
- Reset the device.
- Configure the device.
- Initialize the device.
- Set the triggers
- Activate the device.
- Load a channel filter coefficients.
- Add CC.
- DeActivate the device.

Returns
  - XST_SUCCESS if the example has completed successfully.
  - XST_FAILURE if the example has failed.

References XDfeCcf_TriggerCfg::Activate, XDfeCcf_Status::CCSequenceError, XDfeCcf_TriggerCfg::CCUpdate, XDfeCcf_Status::CCUpdate, XDfeCcf_CarrierCfg::Gain, XDfeCcf_Init::GainStage, XDfeCcf_CarrierCfg::ImagCoeffSet, XDfeCcf_CCSequence::Length, XDfeCcf_Version::Major, XDfeCcf_Version::Minor, XDfeCcf_Trigger::Mode, XDfeCcf_Coefficients::Num, XDfeCcf_Status::Overflow, XDfeCcf_Version::Patch, XDfeCcf_CarrierCfg::RealCoeffSet, XDfeCcf_Version::Revision, XDfeCcf_Init::Sequence, XDfeCcf_Coefficients::Symmetric, XDfeCcf_Trigger::TUSERBit, XDfeCcf_Trigger::TuserEdgeLevel, XDfeCcf_Init::TuserSelect, XDfeCcf_Coefficients::Value, XDfeCcf_Activate(), XDfeCcf_AddCC(), XDfeCcf_ClearEventStatus(), XDfeCcf_Configure(), XDfeCcf_Deactivate(), XDfeCcf_GetVersions(), XDfeCcf_Initialize(), XDfeCcf_InstanceClose(), XDfeCcf_InstanceInit(), XDfeCcf_LoadCoefficients(), XDfeCcf_Reset(), XDfeCcf_SetTriggersCfg(), XST_FAILURE, and XST_SUCCESS.

Referenced by main().